List projects in a workspace
curl --request GET \
--url https://app.myhero.so/project/all/{workspaceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.myhero.so/project/all/{workspaceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.myhero.so/project/all/{workspaceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"_id": "<string>",
"userId": "<string>",
"workspaceId": "<string>",
"name": "<string>",
"createdAt": 123,
"updatedAt": 123,
"originId": "<string>",
"icon": {
"name": "<string>",
"color": "<string>"
},
"emoji": {
"unified": "<string>",
"emojiStyle": "<string>"
},
"reference": "<string>",
"description": "<string>",
"published": [
{
"slug": "<string>",
"domain": "<string>",
"homepage": "<string>",
"password": "<string>",
"disabled": true
}
],
"publishedBranding": {
"company": {
"name": "<string>",
"logo": "<string>",
"url": "<string>"
},
"callToAction": {
"icon": {
"name": "<string>",
"color": "<string>"
},
"text": "<string>",
"url": "<string>"
}
}
}
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}Projects
List projects in a workspace
Returns all projects the caller has access to within the given workspaceId.
GET
/
project
/
all
/
{workspaceId}
List projects in a workspace
⌘I